Package io.strimzi.systemtest.resources

## Class ResourceManager

- java.lang.Object
- - io.strimzi.systemtest.resources.ResourceManager

-     public class ResourceManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `CR_CREATION_TIMEOUT` |
    `static String` | `STRIMZI_PATH_TO_CO_CONFIG` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.test.k8s.cmdClient.KubeCmdClient` | `cmdKubeClient()` |
    `static void` | `deleteClassResources()` |
    `static <T extends io.fabric8.kubernetes.api.model.HasMetadata> T` | `deleteLater​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation, T resource)` |
    `static void` | `deleteMethodResources()` |
    `static String` | `getCoDeploymentName()` |
    `static Stack<Runnable>` | `getPointerResources()` |
    `static io.strimzi.test.k8s.HelmClient` | `helmClient()` |
    `static io.strimzi.test.k8s.KubeClient` | `kubeClient()` |
    `static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void` | `logCurrentResourceStatus​(T customResource)` | Log actual status of custom resource with pods.
    `static <T extends io.fabric8.kubernetes.client.CustomResource,​L extends io.fabric8.kubernetes.client.CustomResourceList<T>> void` | `replaceCrdResource​(Class<T> crdClass, Class<L> listClass, String resourceName, Consumer<T> editor)` |
    `static void` | `setClassResources()` |
    `static void` | `setCoDeploymentName​(String newName)` |
    `static void` | `setMethodResources()` |
    `static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void` | `waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation, String kind, String namespace, String name, Enum<?> status, long resourceTimeoutMs)` |
    `static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> T` | `waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation, T resource, Enum<?> status)` |
    `static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> T` | `waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation, T resource, Enum<?> status, long resourceTimeout)` | Wait until the CR is in desired state

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRIMZI_PATH_TO_CO_CONFIG

          public static final String STRIMZI_PATH_TO_CO_CONFIG

    - #### CR_CREATION_TIMEOUT

          public static final long CR_CREATION_TIMEOUT

  - ### Method Detail

    - #### kubeClient

          public static io.strimzi.test.k8s.KubeClient kubeClient()

    - #### cmdKubeClient

          public static io.strimzi.test.k8s.cmdClient.KubeCmdClient cmdKubeClient()

    - #### helmClient

          public static io.strimzi.test.k8s.HelmClient helmClient()

    - #### getPointerResources

          public static Stack<Runnable> getPointerResources()

    - #### setMethodResources

          public static void setMethodResources()

    - #### setClassResources

          public static void setClassResources()

    - #### replaceCrdResource

          public static <T extends io.fabric8.kubernetes.client.CustomResource,​L extends io.fabric8.kubernetes.client.CustomResourceList<T>> void replaceCrdResource​(Class<T> crdClass,
                                                                                                                                                                           Class<L> listClass,
                                                                                                                                                                           String resourceName,
                                                                                                                                                                           Consumer<T> editor)

    - #### deleteLater

          public static <T extends io.fabric8.kubernetes.api.model.HasMetadata> T deleteLater​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation,
                                                                                              T resource)

    - #### deleteClassResources

          public static void deleteClassResources()

    - #### deleteMethodResources

          public static void deleteMethodResources()

    - #### logCurrentResourceStatus

          public static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void logCurrentResourceStatus​(T customResource)

      Log actual status of custom resource with pods.
      Parameters:
        `customResource` - - Kafka, KafkaConnect etc. - every resource that HasMetadata and HasStatus (Strimzi status)

    - #### waitForResourceStatus

          public static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> T waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation,
                                                                                                                                                                                                            T resource,
                                                                                                                                                                                                            Enum<?> status,
                                                                                                                                                                                                            long resourceTimeout)

      Wait until the CR is in desired state
      Parameters:
        `operation` - - client of CR - for example kafkaClient()
        `resource` - - custom resource
        `status` - - desired status
      Returns:
        returns CR

    - #### waitForResourceStatus

          public static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation,
                                                                                                                                                                                                               String kind,
                                                                                                                                                                                                               String namespace,
                                                                                                                                                                                                               String name,
                                                                                                                                                                                                               Enum<?> status,
                                                                                                                                                                                                               long resourceTimeoutMs)

    - #### waitForResourceStatus

          public static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> T waitForResourceStatus​(io.fabric8.kubernetes.client.dsl.MixedOperation<T,​?,​?> operation,
                                                                                                                                                                                                            T resource,
                                                                                                                                                                                                            Enum<?> status)

    - #### getCoDeploymentName

          public static String getCoDeploymentName()

    - #### setCoDeploymentName

          public static void setCoDeploymentName​(String newName)